<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../general.ent">
  %general-entities;
]>
<sect1 id="ch-tools-make" role="wrap">
  <?dbhtml filename="make.html"?>

  <sect1info condition="script">
    <productname>make</productname>
    <productnumber>&make-version;</productnumber>
    <address>&make-url;</address>
  </sect1info>

  <title>Make-&make-version;</title>

  <indexterm zone="ch-tools-make">
    <primary sortas="a-Make">Make</primary>
    <secondary>tools</secondary>
  </indexterm>

  <sect2 role="package">
    <title/>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
    href="../chapter06/make.xml"
    xpointer="xpointer(/sect1/sect2[1]/para[1])"/>

    <segmentedlist>
      <segtitle>&buildtime;</segtitle>
      <segtitle>&diskspace;</segtitle>

      <seglistitem>
        <seg>&make-ch5-sbu;</seg>
        <seg>&make-ch5-du;</seg>
      </seglistitem>
    </segmentedlist>

  </sect2>

  <sect2 role="installation">
    <title>安装 Make</title>

    <para>首先解决一个由 Glibc-2.27 引入的错误：</para>

<screen><userinput remap="pre">sed -i '211,217 d; 219,229 d; 232 d' glob/glob.c</userinput></screen>

    <para>准备编译 Make：</para>

<screen><userinput remap="configure">./configure --prefix=/tools --without-guile</userinput></screen>

    <variablelist>
      <title>配置选项的含义：</title>

      <varlistentry>
        <term><parameter>--without-guile</parameter></term>
        <listitem>
          <!--para>This ensures that Make-&make-version; won't link against Guile libraries, which
          may be present on the host system, but won't be available within the
          <command>chroot</command> environment in the next chapter.</para-->
          <para>这保证 Make-&make-version; 不会链接到 Guile 库。
			  宿主系统可能拥有 Guile 库，但它在 <command>chroot</command>
			  环境中不可用。</para>
        </listitem>
      </varlistentry>
    </variablelist>

    <para>编译该软件包：</para>

<screen><userinput remap="make">make</userinput></screen>

    <!--para>Compilation is now complete. As discussed earlier, running the test
    suite is not mandatory for the temporary tools here in this chapter. To run
    the Make test suite anyway, issue the following command:</para-->
<para>现在编译已经完成，正如前文所述，
没有必要在本章中运行临时工具的测试套件。如果一定要运行 Make
的测试套件，执行以下命令：</para>

<screen><userinput remap="test">make check</userinput></screen>

    <para>安装该软件包：</para>

<screen><userinput remap="install">make install</userinput></screen>

  </sect2>

  <sect2 role="content">
    <title/>

    <para>该软件包的详细信息可以在
    <xref linkend="contents-make"/> 中找到。</para>

  </sect2>

</sect1>
